#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct 
{
	char nomE[32];
	char *adresse;
	int capital;
	int duree;
	int prix;
} Devis;

typedef struct maillonDevis
{
	Devis dev;
	struct maillonDevis *suiv;
} MaillonDevis, *ListeDevis;

typedef struct
{
	char travaux[30];
	ListeDevis ldevis;
} Offre;

typedef enum {
	faux, vrai
} Booleen;

typedef struct maillonSucc
{
	char tache[20];
	struct maillonSucc *nxt;
} MaillonSucc, *Liste;

typedef struct
{
char tache[20] ; // nom de la tâche ex : Plomberie
int duree ; // durée de la tâche
int nbPred ; // nombre de prédécesseurs de la tâche
Liste succ ; // liste des successeurs de la tâche
int dateDebut ; // date de début au plutôt de la tâche
bool traite ; // booléen : la tâche est-elle traitée
}Tache ;

//Devis

void displayDevis(Devis d);
Devis readDevis(Offre *tabTravaux[]);

//ListeDevis

ListeDevis 	newListeDevis(void);
ListeDevis 	defiler(ListeDevis l);
ListeDevis 	enfiler(ListeDevis l);
ListeDevis 	sortListeDevis(ListeDevis l);
Booleen 	emptyListe(ListeDevis l);
int 		lenListeDevis(ListeDevis l);
void 		displayListeDevis(ListeDevis l);

//Offre

Offre newOffre(char *travauxName);
Booleen 	emptyOffre(Offre o);
void 		displayOffre(Offre o);
int 		rechTravaux(char travauxName[], Offre *tabTravaux[]);
void minTravaux(Offre *tabTravaux[]);